"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AmpClinicalOrExperimentalEvidenceLevel(object):
    """
    Levels for categories of Clinical and/or Experimental Evidence as
    defined in AMP guidelines
    """

    levelA = "levelA"
    levelB = "levelB"
    levelC = "levelC"
    levelD = "levelD"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.5.0"
